Bug 1003883 - qxl driver: when using terminus console fonts, stride is set to 1
qxl driver: when using terminus console fonts, stride is set to 1
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Blechter
Fedora Extras Quality Assurance
:
Depends On: 997932
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 08:25 EDT by Uri Lublin
Modified: 2015-02-17 12:02 EST (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 997932
Environment:
Last Closed: 2015-02-17 12:02:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uri Lublin 2013-09-03 08:25:59 EDT
+++ This bug was initially created as a clone of Bug #997932 +++

Running "setfont ter-118n" causes the qemu-kvm vm to immediately crash/shutdown and go into an "offline" state.  It only seems to be associated with the terminus fonts as I can use other console fonts ok, i.e. other lat2 sizes.

Version-Release number of selected component (if applicable):
qemu-1.4.2-5.fc19.x86_64
kernel-3.10.6-200.fc19.x86_64
virt-manager-0.10.0-1.fc19.noarch
terminus-fonts-console-4.36-4.fc19.noarch

How reproducible:
always

Steps to Reproduce:
1. install f19 into a qemu-kvm vm
2. install terminus fonts
3. run "setfont ter-118n"

Actual results:
crash/shutdown of vm

Expected results:
console font changed to terminus font

Additional info:
Not sure if this is the right component but starting here.  Outside of the kvm, I can change my console font to terminus fine.

--- Additional comment from Richard W.M. Jones on 2013-08-16 11:11:49 EDT ---

I cannot reproduce this with a Fedora 20 guest on a Fedora 19 host.

Can you get a core dump / stack trace from qemu?  That's really
what we need here.

--- Additional comment from Zing on 2013-08-16 11:31:09 EDT ---



--- Additional comment from Zing on 2013-08-16 11:31:39 EDT ---

Here's a backtrace of the qemu process just after I run setfont.  Hope this helps. If there's more I can do, let me know and I can attempt it.  (strange... this crash also happens with me with a Fedora 20 guest)

--- Additional comment from Richard W.M. Jones on 2013-08-16 11:33:47 EDT ---

Ah right, you're using spice (I'm using VNC).

--- Additional comment from Richard W.M. Jones on 2013-08-16 11:37:08 EDT ---

The error that spice tries to emit just before the crash is:

red_parse_qxl.c:359: image stride too small for width: %d < ((%d * %d + 7) / 8) (%s=%d)

(the values are lost)

--- Additional comment from Hans de Goede on 2013-08-26 04:34:49 EDT ---

Re-assigning this to Yonith, who probably knows this part of the code the best.

--- Additional comment from Yonit Halperin on 2013-08-28 13:35:04 EDT ---

The bug is guest driver related: a DRAW_COPY command includes a bitmap with format SPICE_BITMAP_FMT_1BIT, width=10, and stride=1. The stride should be at least 2.
I'm moving the bug to qxl.

--- Additional comment from Richard W.M. Jones on 2013-08-28 13:55:24 EDT ---

(In reply to Yonit Halperin from comment #7)
> The bug is guest driver related: a DRAW_COPY command includes a bitmap with
> format SPICE_BITMAP_FMT_1BIT, width=10, and stride=1. The stride should be
> at least 2.
> I'm moving the bug to qxl.

Hang on, the spice server on the host should *never* crash, even
if the X server in the guest sends bogus rubbish.

--- Additional comment from Richard W.M. Jones on 2013-08-28 13:55:54 EDT ---

Also, the bug happens in the console.  How is X involved here?

--- Additional comment from Alon Levy on 2013-08-28 14:46:09 EDT ---

Yonit,

 First I agree with Richard, we need to fix the server too - we should never crash. Second it's probaby the kernel driver, since X is not involved. So I suggest to clone this bug, and assign this one to the spice server and the clone to the kernel. You can assign me to the kernel one.

Alon

--- Additional comment from Daniel Berrange on 2013-08-29 05:20:49 EDT ---

Yes, this bug is about stopping SPICE from crashing QEMU when the guest does something bad. If there's a bug in Xorg qxl driver that is triggering the host QEMU / SPICE crash that needs to be dealt with separately.

--- Additional comment from Uri Lublin on 2013-09-03 08:24:20 EDT ---

A patch that fixes the issue is now committed in upstream spice git
http://cgit.freedesktop.org/spice/spice/commit/?id=eb09c25c628b5baba069aba3ff72ea71917f533f
Comment 1 Uri Lublin 2013-09-03 08:47:19 EDT
This bug is for the linux qxl driver (xorg-x11-drv-qxl)

From https://bugzilla.redhat.com/show_bug.cgi?id=997932#c7 (and the following comments):
The bug is guest driver related: a DRAW_COPY command includes a bitmap with format SPICE_BITMAP_FMT_1BIT, width=10, and stride=1. The stride should be at least 2.
Comment 2 Josh Boyer 2013-09-03 10:53:20 EDT
We keep the in-kernel gpu driver bugs associated with the xorg component.
Comment 4 Fedora End Of Life 2015-01-09 14:42:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:02:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.